robot_radius: 0.20

obstacle_layer:
  enabled: true
  max_obstacle_height: 0.6
  min_obstacle_height: 0.0
  obstacle_range: 2.0
  raytrace_range: 5.0
  inflation_radius: 0.25
  combination_method: 1
  observation_sources: laser_scan_sensor point_cloud_sensor #sonar_scan_sensor
  track_unknown_space: true

  origin_z: 0.0
  z_resolution: 0.1
  z_voxels: 10
  unknown_threshold: 15
  mark_threshold: 0
  publish_voxel_map: true
  footprint_clearing_enabled: true

  point_cloud_sensor:
    data_type: PointCloud2
    topic: /camera/depth/color/points
    marking: true
    clearing: true
    min_obstacle_height: 0.0
    max_obstacle_height: 0.6
    observation_persistence: 0.0

  laser_scan_sensor:
    data_type: LaserScan
    topic: /scan
    marking: true
    clearing: true
    expected_update_rate: 0
    min_obstacle_height: 0.20
    max_obstacle_height: 0.30

  sonar_scan_sensor:
    data_type: PointCloud2
    topic: /sonar_cloudpoint
    marking: true
    clearing: true
    min_obstacle_height: 0.11
    max_obstacle_height: 0.2
    observation_persistence: 0.0

inflation_layer:
  enabled:              true
  cost_scaling_factor:  10.0  
  inflation_radius:     0.25 

static_layer:
  enabled:              true
  map_topic:            "rtabmap/proj_map"

sonar_layer:
  enabled:            true
  clear_threshold:    0.6
  mark_threshold:     0.8
  topics: ["/sonar0", "/sonar1", "/sonar2", "/sonar3"]
  clear_on_max_reading: true

